{"openapi":"3.1.0","info":{"title":"Yareta API","description":"Repository for Research Datasets","contact":{"email":"yareta-admin@unige.ch"},"license":{"name":"GNU General Public License v2.0 or later","identifier":"GPL-2.0-or-later"},"version":"3.1.7"},"servers":[{"url":"https://access.yareta.unige.ch","description":"Generated server url"}],"tags":[{"name":"dlcm"}],"paths":{"/oai-info/oai-sets":{"get":{"tags":["oai-info/oai-sets"],"operationId":"oai-info_oai-sets_list","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionOAISet"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["oai-info/oai-sets"],"operationId":"oai-info_oai-sets_create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OAISet"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OAISet"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["oai-info/oai-sets"],"operationId":"oai-info_oai-sets_deleteList","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/oai-info/oai-sets/search":{"get":{"tags":["oai-info/oai-sets"],"operationId":"oai-info_oai-sets_search_advancedSearch_get","parameters":[{"name":"search","in":"query","required":true,"schema":{"type":"string"}},{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionOAISet"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["oai-info/oai-sets"],"operationId":"oai-info_oai-sets_search_advancedSearch_post","parameters":[{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OAISet"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionOAISet"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/oai-info/oai-provider/oai":{"get":{"tags":["oai-info/oai-provider"],"operationId":"oai-info_oai-provider_oai_process","parameters":[{"name":"verb","in":"query","required":false,"schema":{"type":"string"}},{"name":"identifier","in":"query","required":false,"schema":{"type":"string"}},{"name":"metadataPrefix","in":"query","required":false,"schema":{"type":"string"}},{"name":"from","in":"query","required":false,"schema":{"type":"string"}},{"name":"until","in":"query","required":false,"schema":{"type":"string"}},{"name":"set","in":"query","required":false,"schema":{"type":"string"}},{"name":"resumptionToken","in":"query","required":false,"schema":{"type":"string"}},{"name":"smartView","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}},"post":{"tags":["oai-info/oai-provider"],"operationId":"oai-info_oai-provider_oai_processPost","requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/MultiValueMapStringString"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/oai-info/oai-metadata-prefixes":{"get":{"tags":["oai-info/oai-metadata-prefixes"],"operationId":"oai-info_oai-metadata-prefixes_list","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionOAIMetadataPrefix"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["oai-info/oai-metadata-prefixes"],"operationId":"oai-info_oai-metadata-prefixes_create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OAIMetadataPrefix"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OAIMetadataPrefix"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["oai-info/oai-metadata-prefixes"],"operationId":"oai-info_oai-metadata-prefixes_deleteList","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/oai-info/oai-metadata-prefixes/search":{"get":{"tags":["oai-info/oai-metadata-prefixes"],"operationId":"oai-info_oai-metadata-prefixes_search_advancedSearch_get","parameters":[{"name":"search","in":"query","required":true,"schema":{"type":"string"}},{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionOAIMetadataPrefix"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["oai-info/oai-metadata-prefixes"],"operationId":"oai-info_oai-metadata-prefixes_search_advancedSearch_post","parameters":[{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OAIMetadataPrefix"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionOAIMetadataPrefix"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/refresh/{aipId}":{"post":{"tags":["access/refresh"],"operationId":"access_refresh_by_id_refresh","parameters":[{"name":"aipId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/private-metadata/{aipId}/prepare-download":{"post":{"tags":["access/private-metadata"],"operationId":"access_private-metadata_by_id_prepare-download","parameters":[{"name":"aipId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DisseminationPolicyDto"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/private-metadata/search":{"get":{"tags":["access/private-metadata"],"operationId":"access_private-metadata_search_get","parameters":[{"name":"query","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionArchiveMetadata"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["access/private-metadata"],"operationId":"access_private-metadata_search_post","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SearchCondition"}}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/MultiValueMapStringString"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionArchiveMetadata"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/orders":{"get":{"tags":["access/orders"],"operationId":"access_orders_list","parameters":[{"name":"disseminationPolicyId","in":"query","description":"The dissemination policy identifier linked to the order.","required":false,"schema":{"type":"string"}},{"name":"metadataVersion","in":"query","description":"The metadata version of the order query.","required":false,"schema":{"type":"string","enum":["1.0","1.1","2.0","2.1","3.0","3.1","4.0","5.0"]}},{"name":"name","in":"query","description":"The name of the order query.","required":false,"schema":{"type":"string"}},{"name":"organizationalUnitDisseminationPolicyId","in":"query","description":"The dissemination policy identifier linked to the orgunit.","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"publicOrder","in":"query","description":"If the order is public, false otherwise.","required":false,"schema":{"type":"boolean"}},{"name":"query","in":"query","description":"The query of the order query.","required":false,"schema":{"type":"string"}},{"name":"queryType","in":"query","description":"The type of the order query.","required":false,"schema":{"type":"string","enum":["ADVANCED","DIRECT","SIMPLE"]}},{"name":"resId","in":"query","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","required":false,"schema":{"type":"string"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"status","in":"query","description":"The status of the order query.","required":false,"schema":{"type":"string","enum":["DOWNLOADING","IN_DISSEMINATION_PREPARATION","IN_ERROR","IN_PREPARATION","IN_PROGRESS","READY","SUBMITTED"]}},{"name":"statusMessage","in":"query","description":"The message related to the status of the order query.","required":false,"schema":{"type":"string"}},{"name":"subitemsChecksum","in":"query","description":"The checksum of the order subitems list.","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionOrder"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["access/orders"],"operationId":"access_orders_create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Order"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Order"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["access/orders"],"operationId":"access_orders_deleteList","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/orders/{parentid}/dip":{"get":{"tags":["access/orders"],"operationId":"access_orders_by_id_dip_list","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"resId","in":"query","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","required":false,"schema":{"type":"string"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionDisseminationInfoPackage"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["access/orders"],"operationId":"access_orders_by_id_dip_create","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DisseminationInfoPackage"}}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["access/orders"],"operationId":"access_orders_by_id_dip_deleteList","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/orders/{parentid}/aip":{"get":{"tags":["access/orders"],"operationId":"access_orders_by_id_aip_list","parameters":[{"name":"archivalUnit","in":"query","description":"if the AIP is an unit (AIU) or a collection (AIC).","required":false,"schema":{"type":"boolean"}},{"name":"archiveContainer","in":"query","description":"The container type of the AIP.","required":false,"schema":{"type":"string","enum":["UNDEFINED","ZIP","BAG_IT"]}},{"name":"archiveFileNumber","in":"query","description":"The total number of files in the AIP.","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"archiveId","in":"query","description":"The storage URI of the AIP.","required":false,"schema":{"type":"string"}},{"name":"archiveSize","in":"query","description":"The size in bytes of the AIP.","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"collectionArchiveSize","in":"query","description":"The total size in bytes of the collection AIP.","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"collectionFileNumber","in":"query","description":"The total number of filed in the collection AIP.","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"dispositionApproval","in":"query","description":"If the approval step the AIP disposal is mandatory.","required":false,"schema":{"type":"boolean"}},{"name":"lastArchiving","in":"query","description":"The last archiving process date of the AIP: the first archiving date or the last metadata edition.","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"publicationDate","in":"query","description":"The publication date of the AIP.","required":false,"schema":{"type":"string","format":"date"}},{"name":"resId","in":"query","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","required":false,"schema":{"type":"string"}},{"name":"retention","in":"query","description":"The retention duration in days of the AIP: O means forever.","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"tombstoneSize","in":"query","description":"The size in bytes of the tombstone AIP.","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"updateNumber","in":"query","description":"The number of updates in the AIP.","required":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionArchivalInfoPackage"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["access/orders"],"operationId":"access_orders_by_id_aip_create","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ArchivalInfoPackage"}}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["access/orders"],"operationId":"access_orders_by_id_aip_deleteList","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/orders/{id}/submit":{"post":{"tags":["access/orders"],"operationId":"access_orders_by_id_submit","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/orders/{id}/save":{"post":{"tags":["access/orders"],"operationId":"access_orders_by_id_save","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Order"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/orders/{id}/resume":{"post":{"tags":["access/orders"],"operationId":"access_orders_by_id_resume","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/orders/{id}/put-in-error":{"post":{"tags":["access/orders"],"operationId":"access_orders_by_id_put-in-error","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/orders/search":{"get":{"tags":["access/orders"],"operationId":"access_orders_search_advancedSearch_get","parameters":[{"name":"search","in":"query","required":true,"schema":{"type":"string"}},{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionOrder"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["access/orders"],"operationId":"access_orders_search_advancedSearch_post","parameters":[{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Order"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionOrder"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/metadata/{parentid}/ratings":{"get":{"tags":["access/metadata"],"operationId":"access_metadata_by_id_ratings_getArchiveUserRating","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionArchiveUserRating"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["access/metadata"],"operationId":"access_metadata_by_id_ratings_create","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"ratingType","in":"query","required":true,"schema":{"type":"string"}},{"name":"grade","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ArchiveUserRating"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["access/metadata"],"operationId":"access_metadata_by_id_ratings_delete","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]},"patch":{"tags":["access/metadata"],"operationId":"access_metadata_by_id_ratings_update","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArchiveUserRating"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ArchiveUserRating"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/metadata/{aipId}/prepare-download":{"post":{"tags":["access/metadata"],"operationId":"access_metadata_by_id_prepare-download","parameters":[{"name":"aipId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DisseminationPolicyDto"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/metadata/search":{"get":{"tags":["access/metadata"],"operationId":"access_metadata_search_get","parameters":[{"name":"query","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionArchiveMetadata"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["access/metadata"],"operationId":"access_metadata_search_post","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SearchCondition"}}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/MultiValueMapStringString"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionArchiveMetadata"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/dip":{"get":{"tags":["access/dip"],"operationId":"access_dip_list","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"resId","in":"query","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","required":false,"schema":{"type":"string"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionDisseminationInfoPackage"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["access/dip"],"operationId":"access_dip_create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DisseminationInfoPackage"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DisseminationInfoPackage"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["access/dip"],"operationId":"access_dip_deleteList","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/dip/{parentid}/data":{"get":{"tags":["access/dip"],"operationId":"access_dip_by_id_data_list","parameters":[{"name":"complianceLevel","in":"query","required":false,"schema":{"type":"string","enum":["NOT_ASSESSED","NO_COMPLIANCE","WEAK_COMPLIANCE","AVERAGE_COMPLIANCE","FULL_COMPLIANCE"]}},{"name":"dataCategory","in":"query","required":false,"schema":{"type":"string","enum":["Primary","Observational","Experimental","Simulation","Derived","Reference","Digitalized","Secondary","Publication","DataPaper","Documentation","Software","Code","Binaries","VirtualMachine","Administrative","Document","WebSite","Other","Package","InformationPackage","UpdatePackage","Metadata","CustomMetadata","UpdatedMetadata","Internal","DatasetThumbnail","ArchiveThumbnail","ArchiveReadme","DatafileThumbnail","ArchiveDataUseAgreement"]}},{"name":"dataType","in":"query","required":false,"schema":{"type":"string","enum":["Primary","Observational","Experimental","Simulation","Derived","Reference","Digitalized","Secondary","Publication","DataPaper","Documentation","Software","Code","Binaries","VirtualMachine","Administrative","Document","WebSite","Other","Package","InformationPackage","UpdatePackage","Metadata","CustomMetadata","UpdatedMetadata","Internal","DatasetThumbnail","ArchiveThumbnail","ArchiveReadme","DatafileThumbnail","ArchiveDataUseAgreement"]}},{"name":"fileName","in":"query","required":false,"schema":{"type":"string"}},{"name":"fileSize","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"finalData","in":"query","required":false,"schema":{"type":"string","format":"uri"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"relativeLocation","in":"query","required":false,"schema":{"type":"string"}},{"name":"resId","in":"query","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","required":false,"schema":{"type":"string"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"sourceData","in":"query","required":false,"schema":{"type":"string","format":"uri"}},{"name":"status","in":"query","required":false,"schema":{"type":"string","enum":["CHANGE_RELATIVE_LOCATION","CHANGE_DATA_CATEGORY","CLEANED","CLEANING","EXCLUDED_FILE","CHECK_COMPLIANCE","CHECK_COMPLIANCE_CLEANED","CHECKED_COMPLIANCE","CHECKED_COMPLIANCE_CLEANED","IGNORED_FILE","DOWNLOAD_IN_PROGRESS","FILE_FORMAT_IDENTIFIED","FILE_FORMAT_SKIPPED","FILE_FORMAT_UNKNOWN","IN_ERROR","PROCESSED","READY","RECEIVED","TO_PROCESS","VIRUS_CHECKED","VIRUS_SKIPPED"]}},{"name":"statusMessage","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionDipDataFile"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["access/dip"],"operationId":"access_dip_by_id_data_create","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DipDataFile"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DipDataFile"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["access/dip"],"operationId":"access_dip_by_id_data_deleteList","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/dip/{parentid}/data/{id}/resume":{"post":{"tags":["access/dip"],"operationId":"access_dip_by_id_data_by_id_resume","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/dip/{parentid}/aip":{"get":{"tags":["access/dip"],"operationId":"access_dip_by_id_aip_list","parameters":[{"name":"archivalUnit","in":"query","description":"if the AIP is an unit (AIU) or a collection (AIC).","required":false,"schema":{"type":"boolean"}},{"name":"archiveContainer","in":"query","description":"The container type of the AIP.","required":false,"schema":{"type":"string","enum":["UNDEFINED","ZIP","BAG_IT"]}},{"name":"archiveFileNumber","in":"query","description":"The total number of files in the AIP.","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"archiveId","in":"query","description":"The storage URI of the AIP.","required":false,"schema":{"type":"string"}},{"name":"archiveSize","in":"query","description":"The size in bytes of the AIP.","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"collectionArchiveSize","in":"query","description":"The total size in bytes of the collection AIP.","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"collectionFileNumber","in":"query","description":"The total number of filed in the collection AIP.","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"dispositionApproval","in":"query","description":"If the approval step the AIP disposal is mandatory.","required":false,"schema":{"type":"boolean"}},{"name":"lastArchiving","in":"query","description":"The last archiving process date of the AIP: the first archiving date or the last metadata edition.","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"publicationDate","in":"query","description":"The publication date of the AIP.","required":false,"schema":{"type":"string","format":"date"}},{"name":"resId","in":"query","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","required":false,"schema":{"type":"string"}},{"name":"retention","in":"query","description":"The retention duration in days of the AIP: O means forever.","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"tombstoneSize","in":"query","description":"The size in bytes of the tombstone AIP.","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"updateNumber","in":"query","description":"The number of updates in the AIP.","required":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionArchivalInfoPackage"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["access/dip"],"operationId":"access_dip_by_id_aip_create","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ArchivalInfoPackage"}}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["access/dip"],"operationId":"access_dip_by_id_aip_deleteList","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/dip/{id}/resume":{"post":{"tags":["access/dip"],"operationId":"access_dip_by_id_resume","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/dip/{id}/put-in-error":{"post":{"tags":["access/dip"],"operationId":"access_dip_by_id_put-in-error","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/dip/search":{"get":{"tags":["access/dip"],"operationId":"access_dip_search_advancedSearch_get","parameters":[{"name":"search","in":"query","required":true,"schema":{"type":"string"}},{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionDisseminationInfoPackage"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["access/dip"],"operationId":"access_dip_search_advancedSearch_post","parameters":[{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DisseminationInfoPackage"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionDisseminationInfoPackage"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/all-metadata/{aipId}/prepare-download":{"post":{"tags":["access/all-metadata"],"operationId":"access_all-metadata_by_id_prepare-download","parameters":[{"name":"aipId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DisseminationPolicyDto"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/all-metadata/search":{"get":{"tags":["access/all-metadata"],"operationId":"access_all-metadata_search_get","parameters":[{"name":"query","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionArchiveMetadata"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["access/all-metadata"],"operationId":"access_all-metadata_search_post","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SearchCondition"}}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/MultiValueMapStringString"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionArchiveMetadata"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/aip":{"get":{"tags":["access/aip"],"operationId":"access_aip_list","parameters":[{"name":"archivalUnit","in":"query","description":"if the AIP is an unit (AIU) or a collection (AIC).","required":false,"schema":{"type":"boolean"}},{"name":"archiveContainer","in":"query","description":"The container type of the AIP.","required":false,"schema":{"type":"string","enum":["UNDEFINED","ZIP","BAG_IT"]}},{"name":"archiveFileNumber","in":"query","description":"The total number of files in the AIP.","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"archiveId","in":"query","description":"The storage URI of the AIP.","required":false,"schema":{"type":"string"}},{"name":"archiveSize","in":"query","description":"The size in bytes of the AIP.","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"collectionArchiveSize","in":"query","description":"The total size in bytes of the collection AIP.","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"collectionFileNumber","in":"query","description":"The total number of filed in the collection AIP.","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"dispositionApproval","in":"query","description":"If the approval step the AIP disposal is mandatory.","required":false,"schema":{"type":"boolean"}},{"name":"lastArchiving","in":"query","description":"The last archiving process date of the AIP: the first archiving date or the last metadata edition.","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"publicationDate","in":"query","description":"The publication date of the AIP.","required":false,"schema":{"type":"string","format":"date"}},{"name":"resId","in":"query","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","required":false,"schema":{"type":"string"}},{"name":"retention","in":"query","description":"The retention duration in days of the AIP: O means forever.","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"tombstoneSize","in":"query","description":"The size in bytes of the tombstone AIP.","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"updateNumber","in":"query","description":"The number of updates in the AIP.","required":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionArchivalInfoPackage"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["access/aip"],"operationId":"access_aip_create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArchivalInfoPackage"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ArchivalInfoPackage"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["access/aip"],"operationId":"access_aip_deleteList","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/aip/{parentid}/data":{"get":{"tags":["access/aip"],"operationId":"access_aip_by_id_data_list","parameters":[{"name":"complianceLevel","in":"query","required":false,"schema":{"type":"string","enum":["NOT_ASSESSED","NO_COMPLIANCE","WEAK_COMPLIANCE","AVERAGE_COMPLIANCE","FULL_COMPLIANCE"]}},{"name":"dataCategory","in":"query","required":false,"schema":{"type":"string","enum":["Primary","Observational","Experimental","Simulation","Derived","Reference","Digitalized","Secondary","Publication","DataPaper","Documentation","Software","Code","Binaries","VirtualMachine","Administrative","Document","WebSite","Other","Package","InformationPackage","UpdatePackage","Metadata","CustomMetadata","UpdatedMetadata","Internal","DatasetThumbnail","ArchiveThumbnail","ArchiveReadme","DatafileThumbnail","ArchiveDataUseAgreement"]}},{"name":"dataType","in":"query","required":false,"schema":{"type":"string","enum":["Primary","Observational","Experimental","Simulation","Derived","Reference","Digitalized","Secondary","Publication","DataPaper","Documentation","Software","Code","Binaries","VirtualMachine","Administrative","Document","WebSite","Other","Package","InformationPackage","UpdatePackage","Metadata","CustomMetadata","UpdatedMetadata","Internal","DatasetThumbnail","ArchiveThumbnail","ArchiveReadme","DatafileThumbnail","ArchiveDataUseAgreement"]}},{"name":"fileName","in":"query","required":false,"schema":{"type":"string"}},{"name":"fileSize","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"finalData","in":"query","required":false,"schema":{"type":"string","format":"uri"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"relativeLocation","in":"query","required":false,"schema":{"type":"string"}},{"name":"resId","in":"query","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","required":false,"schema":{"type":"string"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"sourceData","in":"query","required":false,"schema":{"type":"string","format":"uri"}},{"name":"status","in":"query","required":false,"schema":{"type":"string","enum":["CHANGE_RELATIVE_LOCATION","CHANGE_DATA_CATEGORY","CLEANED","CLEANING","EXCLUDED_FILE","CHECK_COMPLIANCE","CHECK_COMPLIANCE_CLEANED","CHECKED_COMPLIANCE","CHECKED_COMPLIANCE_CLEANED","IGNORED_FILE","DOWNLOAD_IN_PROGRESS","FILE_FORMAT_IDENTIFIED","FILE_FORMAT_SKIPPED","FILE_FORMAT_UNKNOWN","IN_ERROR","PROCESSED","READY","RECEIVED","TO_PROCESS","VIRUS_CHECKED","VIRUS_SKIPPED"]}},{"name":"statusMessage","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionAipDataFile"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["access/aip"],"operationId":"access_aip_by_id_data_create","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AipDataFile"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AipDataFile"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["access/aip"],"operationId":"access_aip_by_id_data_deleteList","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/aip/{parentid}/data/{id}/resume":{"post":{"tags":["access/aip"],"operationId":"access_aip_by_id_data_by_id_resume","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/aip/{parentid}/data/{id}/put-in-error":{"post":{"tags":["access/aip"],"operationId":"access_aip_by_id_data_by_id_put-in-error","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/aip/{parentid}/aip":{"get":{"tags":["access/aip"],"operationId":"access_aip_by_id_aip_list","parameters":[{"name":"archivalUnit","in":"query","description":"if the AIP is an unit (AIU) or a collection (AIC).","required":false,"schema":{"type":"boolean"}},{"name":"archiveContainer","in":"query","description":"The container type of the AIP.","required":false,"schema":{"type":"string","enum":["UNDEFINED","ZIP","BAG_IT"]}},{"name":"archiveFileNumber","in":"query","description":"The total number of files in the AIP.","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"archiveId","in":"query","description":"The storage URI of the AIP.","required":false,"schema":{"type":"string"}},{"name":"archiveSize","in":"query","description":"The size in bytes of the AIP.","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"collectionArchiveSize","in":"query","description":"The total size in bytes of the collection AIP.","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"collectionFileNumber","in":"query","description":"The total number of filed in the collection AIP.","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"dispositionApproval","in":"query","description":"If the approval step the AIP disposal is mandatory.","required":false,"schema":{"type":"boolean"}},{"name":"lastArchiving","in":"query","description":"The last archiving process date of the AIP: the first archiving date or the last metadata edition.","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"publicationDate","in":"query","description":"The publication date of the AIP.","required":false,"schema":{"type":"string","format":"date"}},{"name":"resId","in":"query","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","required":false,"schema":{"type":"string"}},{"name":"retention","in":"query","description":"The retention duration in days of the AIP: O means forever.","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"tombstoneSize","in":"query","description":"The size in bytes of the tombstone AIP.","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"updateNumber","in":"query","description":"The number of updates in the AIP.","required":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionArchivalInfoPackage"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["access/aip"],"operationId":"access_aip_by_id_aip_create","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ArchivalInfoPackage"}}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["access/aip"],"operationId":"access_aip_by_id_aip_deleteList","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/aip/{id}/resume":{"post":{"tags":["access/aip"],"operationId":"access_aip_by_id_resume","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/aip/{id}/put-in-error":{"post":{"tags":["access/aip"],"operationId":"access_aip_by_id_put-in-error","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Result"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/aip/search":{"get":{"tags":["access/aip"],"operationId":"access_aip_search_advancedSearch_get","parameters":[{"name":"search","in":"query","required":true,"schema":{"type":"string"}},{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionArchivalInfoPackage"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"post":{"tags":["access/aip"],"operationId":"access_aip_search_advancedSearch_post","parameters":[{"name":"match","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArchivalInfoPackage"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionArchivalInfoPackage"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/oai-info/oai-sets/{id}":{"get":{"tags":["oai-info/oai-sets"],"operationId":"oai-info_oai-sets_by_id_get","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OAISet"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["oai-info/oai-sets"],"operationId":"oai-info_oai-sets_by_id_delete","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]},"patch":{"tags":["oai-info/oai-sets"],"operationId":"oai-info_oai-sets_by_id_update","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OAISet"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/oai-info/oai-metadata-prefixes/{id}":{"get":{"tags":["oai-info/oai-metadata-prefixes"],"operationId":"oai-info_oai-metadata-prefixes_by_id_get","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OAIMetadataPrefix"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["oai-info/oai-metadata-prefixes"],"operationId":"oai-info_oai-metadata-prefixes_by_id_delete","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]},"patch":{"tags":["oai-info/oai-metadata-prefixes"],"operationId":"oai-info_oai-metadata-prefixes_by_id_update","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OAIMetadataPrefix"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/orders/{parentid}/dip/{id}":{"get":{"tags":["access/orders"],"operationId":"access_orders_by_id_dip_by_id_get","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DisseminationInfoPackage"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["access/orders"],"operationId":"access_orders_by_id_dip_by_id_delete","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]},"patch":{"tags":["access/orders"],"operationId":"access_orders_by_id_dip_by_id_update","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DisseminationInfoPackage"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DisseminationInfoPackage"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/orders/{parentid}/aip/{id}":{"get":{"tags":["access/orders"],"operationId":"access_orders_by_id_aip_by_id_get","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ArchivalInfoPackage"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["access/orders"],"operationId":"access_orders_by_id_aip_by_id_delete","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]},"patch":{"tags":["access/orders"],"operationId":"access_orders_by_id_aip_by_id_update","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArchivalInfoPackage"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ArchivalInfoPackage"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/orders/{id}":{"get":{"tags":["access/orders"],"operationId":"access_orders_by_id_get","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Order"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["access/orders"],"operationId":"access_orders_by_id_delete","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]},"patch":{"tags":["access/orders"],"operationId":"access_orders_by_id_update","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Order"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/dip/{parentid}/data/{id}":{"get":{"tags":["access/dip"],"operationId":"access_dip_by_id_data_by_id_get","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DipDataFile"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["access/dip"],"operationId":"access_dip_by_id_data_by_id_delete","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]},"patch":{"tags":["access/dip"],"operationId":"access_dip_by_id_data_by_id_update","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DipDataFile"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/dip/{parentid}/aip/{id}":{"get":{"tags":["access/dip"],"operationId":"access_dip_by_id_aip_by_id_get","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ArchivalInfoPackage"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["access/dip"],"operationId":"access_dip_by_id_aip_by_id_delete","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]},"patch":{"tags":["access/dip"],"operationId":"access_dip_by_id_aip_by_id_update","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArchivalInfoPackage"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ArchivalInfoPackage"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/dip/{id}":{"get":{"tags":["access/dip"],"operationId":"access_dip_by_id_get","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DisseminationInfoPackage"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["access/dip"],"operationId":"access_dip_by_id_delete","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]},"patch":{"tags":["access/dip"],"operationId":"access_dip_by_id_update","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DisseminationInfoPackage"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/aip/{parentid}/data/{id}":{"get":{"tags":["access/aip"],"operationId":"access_aip_by_id_data_by_id_get","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AipDataFile"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["access/aip"],"operationId":"access_aip_by_id_data_by_id_delete","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]},"patch":{"tags":["access/aip"],"operationId":"access_aip_by_id_data_by_id_update","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AipDataFile"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/aip/{parentid}/aip/{id}":{"get":{"tags":["access/aip"],"operationId":"access_aip_by_id_aip_by_id_get","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ArchivalInfoPackage"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["access/aip"],"operationId":"access_aip_by_id_aip_by_id_delete","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]},"patch":{"tags":["access/aip"],"operationId":"access_aip_by_id_aip_by_id_update","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArchivalInfoPackage"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ArchivalInfoPackage"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/aip/{id}":{"get":{"tags":["access/aip"],"operationId":"access_aip_by_id_get","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ArchivalInfoPackage"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]},"delete":{"tags":["access/aip"],"operationId":"access_aip_by_id_delete","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]},"patch":{"tags":["access/aip"],"operationId":"access_aip_by_id_update","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":true}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ArchivalInfoPackage"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/sso-user":{"get":{"tags":["sso-user"],"operationId":"sso-user_user","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/User"}}}}}}},"/sitemap.xml":{"get":{"tags":["sitemap.xml"],"operationId":"sitemap.xml_getSitemapIndex","parameters":[{"name":"extra","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/xml":{"schema":{"oneOf":[{"$ref":"#/components/schemas/Urlset"},{"$ref":"#/components/schemas/Sitemapindex"}]}}}}}}},"/sitemap-{name}.xml":{"get":{"tags":["sitemap-{name}.xml"],"operationId":"sitemap-by_id.xml_getSitemap","parameters":[{"name":"name","in":"path","required":true,"schema":{"type":"string"}},{"name":"from","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/xml":{"schema":{"$ref":"#/components/schemas/Urlset"}}}}}}},"/resource-srv":{"get":{"tags":["resource-srv"],"operationId":"resource-srv_home","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Module"}}}}}}},"/resource-srv/checkTool":{"get":{"tags":["resource-srv/checkTool"],"operationId":"resource-srv_checkTool","parameters":[{"name":"toolName","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}}}}},"/oai-info":{"get":{"tags":["oai-info"],"operationId":"oai-info_home","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Module"}}}}}}},"/oai-info/oai-provider":{"get":{"tags":["oai-info/oai-provider"],"operationId":"oai-info_oai-provider_status","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OAIPMH"}}}}}}},"/oai-info/oai-provider/oai/xsl":{"get":{"tags":["oai-info/oai-provider"],"operationId":"oai-info_oai-provider_oai_xsl","parameters":[{"name":"smartView","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/oai-info/oai-provider/oai/schema":{"get":{"tags":["oai-info/oai-provider"],"operationId":"oai-info_oai-provider_oai_schema_xsd","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/default-configuration":{"get":{"tags":["default-configuration"],"operationId":"default-configuration_getDefaultConfiguration","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DLCMDefaultConfig"}}}}}}},"/current-configuration":{"get":{"tags":["current-configuration"],"operationId":"current-configuration_getCurrentConfiguration","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DLCMConfig"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access":{"get":{"tags":["access"],"operationId":"access_home","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Module"}}}}}}},"/access/system-properties":{"get":{"tags":["access/system-properties"],"operationId":"access_system-properties","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SystemProperties"}}}}}}},"/access/private-metadata":{"get":{"tags":["access/private-metadata"],"operationId":"access_private-metadata_list","parameters":[{"name":"index","in":"query","description":"Name of the index","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"resId","in":"query","required":false,"schema":{"type":"string"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionArchiveMetadata"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/private-metadata/{orderId}/download-status":{"get":{"tags":["access/private-metadata"],"operationId":"access_private-metadata_by_id_download-status_getDownloadStatus","parameters":[{"name":"orderId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","enum":["DOWNLOADING","IN_DISSEMINATION_PREPARATION","IN_ERROR","IN_PREPARATION","IN_PROGRESS","READY","SUBMITTED"]}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/private-metadata/{id}":{"get":{"tags":["access/private-metadata"],"operationId":"access_private-metadata_by_id_get","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ArchiveMetadata"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/private-metadata/{id}/citations":{"get":{"tags":["access/private-metadata"],"operationId":"access_private-metadata_by_id_citations","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CitationDto"}}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/private-metadata/{id}/bibliographies":{"get":{"tags":["access/private-metadata"],"operationId":"access_private-metadata_by_id_bibliographies","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CitationDto"}}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/private-metadata/{dipName}/download":{"get":{"tags":["access/private-metadata"],"operationId":"access_private-metadata_by_id_download","parameters":[{"name":"dipName","in":"path","required":true,"schema":{"type":"string"}},{"name":"orderId","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/private-metadata/list-download-status":{"get":{"tags":["access/private-metadata"],"operationId":"access_private-metadata_list-download-status","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","enum":["DOWNLOADING","IN_DISSEMINATION_PREPARATION","IN_ERROR","IN_PREPARATION","IN_PROGRESS","READY","SUBMITTED"]}}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/organizational-units":{"get":{"tags":["access/organizational-units"],"operationId":"access_organizational-units_list","parameters":[{"name":"closingDate","in":"query","description":"The closing date of the organizational unit.","required":false,"schema":{"type":"string","format":"date"}},{"name":"description","in":"query","description":"The description of the organizational unit.","required":false,"schema":{"type":"string"}},{"name":"name","in":"query","description":"The name of the organizational unit.","required":false,"schema":{"type":"string"}},{"name":"openingDate","in":"query","description":"The opening date of the organizational unit.","required":false,"schema":{"type":"string","format":"date"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"resId","in":"query","required":false,"schema":{"type":"string"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionOrgUnit"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/organizational-units/{parentid}/archives":{"get":{"tags":["access/organizational-units"],"operationId":"access_organizational-units_by_id_archives_list","parameters":[{"name":"index","in":"query","description":"Name of the index","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"resId","in":"query","required":false,"schema":{"type":"string"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionArchiveMetadata"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/organizational-units/{parentid}/archives/{id}":{"get":{"tags":["access/organizational-units"],"operationId":"access_organizational-units_by_id_archives_by_id_get","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ArchiveMetadata"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/organizational-units/{id}":{"get":{"tags":["access/organizational-units"],"operationId":"access_organizational-units_by_id_get","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OrgUnit"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/organizational-units/{id}/download-logo":{"get":{"tags":["access/organizational-units"],"summary":"Download Logo of an organizational unit","description":"Returns a binary stream (image or file) for the given organizational unit ID.","operationId":"access_organizational-units_by_id_download-logo","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Binary file stream","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"404":{"description":"Logo of an organizational unit not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StreamingResponseBody"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/orders/{id}/view":{"get":{"tags":["access/orders"],"operationId":"access_orders_by_id_view","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"allInfo","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionOrderArchive"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/orders/{id}/history":{"get":{"tags":["access/orders"],"operationId":"access_orders_by_id_history","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionStatusHistory"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/orders/{id}/download":{"get":{"tags":["access/orders"],"operationId":"access_orders_by_id_download_getFiles","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/orders/{id}/download-token":{"get":{"tags":["access/orders"],"operationId":"access_orders_by_id_download-token_getTokenForOrder","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DownloadToken"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/orders/list-status":{"get":{"tags":["access/orders"],"operationId":"access_orders_list-status","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","enum":["DOWNLOADING","IN_DISSEMINATION_PREPARATION","IN_ERROR","IN_PREPARATION","IN_PROGRESS","READY","SUBMITTED"]}}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/orders/list-query-types":{"get":{"tags":["access/orders"],"operationId":"access_orders_list-query-types","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","enum":["ADVANCED","DIRECT","SIMPLE"]}}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/orders/list-public":{"get":{"tags":["access/orders"],"operationId":"access_orders_list-public","parameters":[{"name":"disseminationPolicyId","in":"query","description":"The dissemination policy identifier linked to the order.","required":false,"schema":{"type":"string"}},{"name":"metadataVersion","in":"query","description":"The metadata version of the order query.","required":false,"schema":{"type":"string","enum":["1.0","1.1","2.0","2.1","3.0","3.1","4.0","5.0"]}},{"name":"name","in":"query","description":"The name of the order query.","required":false,"schema":{"type":"string"}},{"name":"order","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Order"}},{"name":"organizationalUnitDisseminationPolicyId","in":"query","description":"The dissemination policy identifier linked to the orgunit.","required":false,"schema":{"type":"string"}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"publicOrder","in":"query","description":"If the order is public, false otherwise.","required":false,"schema":{"type":"boolean"}},{"name":"query","in":"query","description":"The query of the order query.","required":false,"schema":{"type":"string"}},{"name":"queryType","in":"query","description":"The type of the order query.","required":false,"schema":{"type":"string","enum":["ADVANCED","DIRECT","SIMPLE"]}},{"name":"resId","in":"query","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","required":false,"schema":{"type":"string"}},{"name":"status","in":"query","description":"The status of the order query.","required":false,"schema":{"type":"string","enum":["DOWNLOADING","IN_DISSEMINATION_PREPARATION","IN_ERROR","IN_PREPARATION","IN_PROGRESS","READY","SUBMITTED"]}},{"name":"statusMessage","in":"query","description":"The message related to the status of the order query.","required":false,"schema":{"type":"string"}},{"name":"subitemsChecksum","in":"query","description":"The checksum of the order subitems list.","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionOrder"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/orders/list-created-by-user":{"get":{"tags":["access/orders"],"operationId":"access_orders_list-created-by-user","parameters":[{"name":"disseminationPolicyId","in":"query","description":"The dissemination policy identifier linked to the order.","required":false,"schema":{"type":"string"}},{"name":"metadataVersion","in":"query","description":"The metadata version of the order query.","required":false,"schema":{"type":"string","enum":["1.0","1.1","2.0","2.1","3.0","3.1","4.0","5.0"]}},{"name":"name","in":"query","description":"The name of the order query.","required":false,"schema":{"type":"string"}},{"name":"order","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Order"}},{"name":"organizationalUnitDisseminationPolicyId","in":"query","description":"The dissemination policy identifier linked to the orgunit.","required":false,"schema":{"type":"string"}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"publicOrder","in":"query","description":"If the order is public, false otherwise.","required":false,"schema":{"type":"boolean"}},{"name":"query","in":"query","description":"The query of the order query.","required":false,"schema":{"type":"string"}},{"name":"queryType","in":"query","description":"The type of the order query.","required":false,"schema":{"type":"string","enum":["ADVANCED","DIRECT","SIMPLE"]}},{"name":"resId","in":"query","description":"The identifier of the resource. The default format is a Universally Unique IDentifier (UUID).","required":false,"schema":{"type":"string"}},{"name":"status","in":"query","description":"The status of the order query.","required":false,"schema":{"type":"string","enum":["DOWNLOADING","IN_DISSEMINATION_PREPARATION","IN_ERROR","IN_PREPARATION","IN_PROGRESS","READY","SUBMITTED"]}},{"name":"statusMessage","in":"query","description":"The message related to the status of the order query.","required":false,"schema":{"type":"string"}},{"name":"subitemsChecksum","in":"query","description":"The checksum of the order subitems list.","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionOrder"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/metadata":{"get":{"tags":["access/metadata"],"operationId":"access_metadata_list","parameters":[{"name":"index","in":"query","description":"Name of the index","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"type":"integer","default":0,"minimum":0}},{"name":"resId","in":"query","required":false,"schema":{"type":"string"}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"type":"integer","default":20,"minimum":1}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionArchiveMetadata"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/metadata/{parentid}/ratings/list-for-user":{"get":{"tags":["access/metadata"],"operationId":"access_metadata_by_id_ratings_list-for-user_getUserRating","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionArchiveUserRating"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/metadata/{parentid}/data/{id}":{"get":{"tags":["access/metadata"],"operationId":"access_metadata_by_id_data_by_id_getDataFile","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ArchiveMetadata"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/metadata/{parentid}/data/{id}/ready-for-download":{"get":{"tags":["access/metadata"],"operationId":"access_metadata_by_id_data_by_id_ready-for-download_checkDataFileIfIsReadyDownload","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/metadata/{parentid}/data/{id}/download":{"get":{"tags":["access/metadata"],"summary":"Download data file","description":"Returns a binary stream (file).","operationId":"access_metadata_by_id_data_by_id_download","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Binary file stream","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"404":{"description":"Archive not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StreamingResponseBody"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/metadata/{parentid}/data/{id}/download-token":{"get":{"tags":["access/metadata"],"operationId":"access_metadata_by_id_data_by_id_download-token_getTokenForDataFile","parameters":[{"name":"parentid","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DownloadToken"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/metadata/{orderId}/download-status":{"get":{"tags":["access/metadata"],"operationId":"access_metadata_by_id_download-status_getDownloadStatus","parameters":[{"name":"orderId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","enum":["DOWNLOADING","IN_DISSEMINATION_PREPARATION","IN_ERROR","IN_PREPARATION","IN_PROGRESS","READY","SUBMITTED"]}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/metadata/{id}":{"get":{"tags":["access/metadata"],"operationId":"access_metadata_by_id_get","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ArchiveMetadata"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/metadata/{id}/thumbnail":{"get":{"tags":["access/metadata"],"summary":"Download thumbnail of an archive","description":"Returns a binary stream (image or file) for the given archive ID.","operationId":"access_metadata_by_id_thumbnail_downloadThumbnail","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Binary file stream","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"404":{"description":"Thumbnail of an archive not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StreamingResponseBody"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/metadata/{id}/statistics":{"get":{"tags":["access/metadata"],"operationId":"access_metadata_by_id_statistics_getStatistics","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ArchiveStatisticsDto"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/metadata/{id}/readme":{"get":{"tags":["access/metadata"],"summary":"Download readme of an archive","description":"Returns a binary stream (file) for the given archive ID.","operationId":"access_metadata_by_id_readme_downloadReadme","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Binary file stream","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"404":{"description":"Readme of an archive not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StreamingResponseBody"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/metadata/{id}/packages":{"get":{"tags":["access/metadata"],"operationId":"access_metadata_by_id_packages_getPackages","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ArchiveMetadata"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/metadata/{id}/list-folders":{"get":{"tags":["access/metadata"],"operationId":"access_metadata_by_id_list-folders","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string"}}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/metadata/{id}/dua":{"get":{"tags":["access/metadata"],"summary":"Download DUA of an archive","description":"Returns a binary stream (image or file) for the given archive ID.","operationId":"access_metadata_by_id_dua_downloadDua","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Binary file stream","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"404":{"description":"DUA of an archive not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StreamingResponseBody"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/metadata/{id}/data":{"get":{"tags":["access/metadata"],"operationId":"access_metadata_by_id_data_getDataFiles","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"path","in":"query","required":false,"schema":{"type":"string"}},{"name":"file","in":"query","required":false,"schema":{"type":"string","default":"*"}},{"name":"minSize","in":"query","required":false,"schema":{"type":"string","default":"0"}},{"name":"maxSize","in":"query","required":false,"schema":{"type":"string"}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionArchiveMetadata"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/metadata/{id}/citations":{"get":{"tags":["access/metadata"],"operationId":"access_metadata_by_id_citations","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CitationDto"}}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/metadata/{id}/bibliographies":{"get":{"tags":["access/metadata"],"operationId":"access_metadata_by_id_bibliographies","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CitationDto"}}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/metadata/{id}/aip":{"get":{"tags":["access/metadata"],"operationId":"access_metadata_by_id_aip_getAip","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"minSize","in":"query","required":false,"schema":{"type":"string","default":"0"}},{"name":"maxSize","in":"query","required":false,"schema":{"type":"string"}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestCollectionArchiveMetadata"}}}}},"security":[{"tokenAuth":[]},{"auth":[]}]}},"/access/metadata/{dipName}/download":{"get":{"tags":["access/metadata"],"operationId":"access_metadata_by_id_download","parameters":[{"name":"dipName","in":"path","required":true,"schema":{"type":"string"}},{"name":"orderId","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}}},"security":[{"tokenAuth":[
[...]
